---
title: Account status update
slug: reference/account-status-update
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "vC0u2mQiJHaPl7PIGUphM",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/accountupdatenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/accountupdatenotification"
      }
    ],
    "name": "Account status update",
    "description": "Notification about Forter account status updates",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "<p>The time the request was sent to the Merchant in SECONDS since unix epoch (Jan 1, 1970)</p>",
              "default": 1415287568,
              "format": "int32"
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string<FORTER_ORDER_DECISION | ORDER_STATUS_UPDATE | FORTER_ACCOUNT_STATUS_UPDATE | COMPENSATION_REQUEST_UPDATE>",
              "description": "<p>The notification type. For this notification it is always FORTER_ACCOUNT_STATUS_UPDATE</p>",
              "default": "FORTER_ACCOUNT_STATUS_UPDATE",
              "enum": [
                "FORTER_ORDER_DECISION",
                "ORDER_STATUS_UPDATE",
                "FORTER_ACCOUNT_STATUS_UPDATE",
                "COMPENSATION_REQUEST_UPDATE"
              ]
            },
            {
              "name": "accountId",
              "kind": "optional",
              "type": "string",
              "description": "Customer's account UID in merchant's site",
              "default": "e520-ba9a-367-60b"
            },
            {
              "name": "forterDecision",
              "kind": "optional",
              "type": "string<ACTIVATE | DEACTIVATE | RESTRICT_POLICY | ENABLE_POLICY | VERIFICATION_REQUIRED | NOT_REVIEWED>",
              "description": "The latest Forter decision",
              "default": "ACTIVATE",
              "enum": [
                "ACTIVATE",
                "DEACTIVATE",
                "RESTRICT_POLICY",
                "ENABLE_POLICY",
                "VERIFICATION_REQUIRED",
                "NOT_REVIEWED"
              ]
            },
            {
              "name": "reasons",
              "kind": "optional",
              "type": "array",
              "description": "Reasons for the Forter account status. Might be empty.",
              "example": "",
              "default": [
                "HIDING_IDENTITY"
              ],
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "recommendations",
              "kind": "optional",
              "type": "array",
              "description": "<p>Additional recommendations such as verify phone via SMS, verify via push notification, verify email, verify ID, alert of new device to customer etc. In case of multiple suggestions, only one is needed.</p>",
              "example": "",
              "default": [
                "SMS_VERIFICATION"
              ],
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "linkToAccountInDashboard",
              "kind": "optional",
              "type": "string",
              "description": "A link to the account in the Forter Decision Dashboard.",
              "default": "https://portal.forter.com/accounts/866767522"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": ""
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "GozsYh-8WguTrFv9dUd_v",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/accountupdatenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"timestamp\": 1415287568,\n     \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n     \"accountId\": \"e520-ba9a-367-60b\",\n     \"forterDecision\": \"ACTIVATE\",\n     \"reasons\": [\n     \"HIDING_IDENTITY\"\n     ],\n     \"recommendations\": [\n     \"SMS_VERIFICATION\"\n     ],\n     \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n     }'"
        },
        {
          "id": "5q1U2uxCQOhTxoOgltSyH",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/accountupdatenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "z8OPS7xhslHUCoeyerphn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/accountupdatenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "adjxIbEQ1pJjI_9RWqknU",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/accountupdatenotification\"\n\npayload = json.dumps({\n   \"timestamp\": 1415287568,\n   \"type\": \"FORTER_ACCOUNT_STATUS_UPDATE\",\n   \"accountId\": \"e520-ba9a-367-60b\",\n   \"forterDecision\": \"ACTIVATE\",\n   \"reasons\": [\n      \"HIDING_IDENTITY\"\n   ],\n   \"recommendations\": [\n      \"SMS_VERIFICATION\"\n   ],\n   \"linkToAccountInDashboard\": \"https://portal.forter.com/accounts/866767522\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "GozsYh-8WguTrFv9dUd_v"
    },
    "results": {
      "languages": [
        {
          "id": "eu9OlYd-wITrpdidCt36S",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "eu9OlYd-wITrpdidCt36S"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}